/*------------------------------------*\
  modules
\*------------------------------------*/

@import "external/_include-media.scss";
@import "_variables.scss";

@import "utils/_reset.scss";
@import "utils/_fonts.scss";
@import "utils/_mixins.scss";
@import "utils/_typography.scss";
@import "utils/_medias.scss";
@import "utils/_misc.scss";
@import "utils/_global.scss";


/*------------------------------------*\
  external
\*------------------------------------*/

// @import "external/_include-media.scss";


/*------------------------------------*\
  partials
\*------------------------------------*/

// components
@import "components/_header.scss";
@import "components/_nav.scss";
@import "components/_block.scss";
@import "components/_button.scss";
@import "components/_gallery.scss";
@import "components/_footer.scss";
@import "components/_form.scss";
@import "components/_pagination.scss";
@import "components/_player.scss";
@import "components/_live.scss";
@import "components/_tag.scss";
@import "components/_schedule.scss";
@import "components/_icons.scss";
@import "components/_socials.scss";
@import "components/_banner.scss";
// templates
@import "templates/_index.scss";
@import "templates/_detail.scss";
@import "templates/_show.scss";
@import "templates/_resident.scss";
@import "templates/_home.scss";
@import "templates/_interview.scss";
@import "templates/_video.scss";
@import "templates/_search.scss";





/*------------------------------------*\
  base styles
\*------------------------------------*/

html {
  font-size: $unit-base;
  @include media("<sm") {
    font-size: $unit-base/10*9;
  }
}

body {
  @extend %font-body;
  background: $body-color;
  color: $base-color;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  ::-moz-selection { background-color: rgba($base-color, .2); color: $base-color; }
  ::selection { background-color: rgba($base-color, .2); color: $base-color; }
  overflow-x: hidden;
}



/*------------------------------------*\
  print
\*------------------------------------*/


@import "utils/_print-style.scss";
@media print {
  html {
    font-size: 14px;
  }
  @include print-style;
}
